Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class InstanceBlockDeviceMapping

    java.lang.Object
      com.amazonaws.services.ec2.model.InstanceBlockDeviceMapping

    public class InstanceBlockDeviceMapping

extends Object

Describes how block devices are mapped on an Amazon EC2 instance.

Constructor Summary
`InstanceBlockDeviceMapping()`

Method Summary
`String` | `getDeviceName()` The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.
`EbsInstanceBlockDevice` | `getEbs()` The optional EBS device mapped to the specified device name.
`void` | `setDeviceName(String deviceName)` The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.
`void` | `setEbs(EbsInstanceBlockDevice ebs)` The optional EBS device mapped to the specified device name.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`InstanceBlockDeviceMapping` | `withDeviceName(String deviceName)` The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.
`InstanceBlockDeviceMapping` | `withEbs(EbsInstanceBlockDevice ebs)` The optional EBS device mapped to the specified device name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstanceBlockDeviceMapping

    public InstanceBlockDeviceMapping()

Method Detail

### getDeviceName

    public String getDeviceName()

  The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.

  Returns:
    The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.

### setDeviceName

    public void setDeviceName(String deviceName)

  The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.

  Parameters:
    `deviceName` - The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.

### withDeviceName

    public InstanceBlockDeviceMapping withDeviceName(String deviceName)

  The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `deviceName` - The device name (e.g., /dev/sdh) at which the block device is exposed on the instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEbs

    public EbsInstanceBlockDevice getEbs()

  The optional EBS device mapped to the specified device name.

  Returns:
    The optional EBS device mapped to the specified device name.

### setEbs

    public void setEbs(EbsInstanceBlockDevice ebs)

  The optional EBS device mapped to the specified device name.

  Parameters:
    `ebs` - The optional EBS device mapped to the specified device name.

### withEbs

    public InstanceBlockDeviceMapping withEbs(EbsInstanceBlockDevice ebs)

  The optional EBS device mapped to the specified device name.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ebs` - The optional EBS device mapped to the specified device name.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.